package com.fxy.realm;

import io.realm.RealmObject;
import io.realm.annotations.PrimaryKey;

public class ToolScanRealm extends RealmObject {
    @PrimaryKey // 必须要有一个主键
    private String id;
    public String scan_batch="";//
    public String number = ""; //基数
    public String scan_date = ""; //基数扫描时间
    public int details_id = 0; //数据ID
    public int tool_data_id = 0; //所属批次id
    public int scan_result  = -1; //基数扫描结果
    public int rules  = 0; //业务类型, 1 - 查找;  2 - 核对；3 - 扫描
    public int push_status = 0; //状态 1 - 启用;  -1 - 禁用


    public int getDetailsId() {return this.details_id; }
    public int getRules() {return this.rules; }
    public String getBatchNumber() {return this.scan_batch; }
    public String getNumber() {return this.number; }
    public String getScanDate() {return this.scan_date; }
    public int getToolDataId() {return this.tool_data_id; }
    public int getIsPdaData() {return this.scan_result; }
    public int getPushStatus() {return this.push_status; }



    public void setId(String id) {  this.id=id;}
    public void setDetailsId(int details_id) { this.details_id=details_id; }
    public void setRules(int rules) { this.rules=rules; }
    public void setScanBatch(String scan_batch) { this.scan_batch = scan_batch; }
    public void setNumber(String number) { this.number = number; }
    public void setScanDate(String scan_date) { this.scan_date=scan_date; }
    public void setToolDataId(int tool_data_id) { this.tool_data_id=tool_data_id; }
    public void setIsPdaData(int scan_result) { this.scan_result=scan_result; }
    public void setPushStatus(int push_status) { this.push_status=push_status; }

}
